> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3consumption forecast

> APIView for GET /consumption_forecast
it returns the data from the UpdateHistory model
where the changed_attribute = annual_consumption
(it should get the latest value per day) plus
the first values added normally to the
grid_contract (these records we get from
the UpdateHistory first added record for
each contract from the field 'old_value')
- in case of no UpdateHistory records found
for a salespartner, it gets the data from
the GridContract directly



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/consumption_forecast/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumption_forecast/:
    get:
      tags:
        - consumption_forecast
      description: |-
        APIView for GET /consumption_forecast
        it returns the data from the UpdateHistory model
        where the changed_attribute = annual_consumption
        (it should get the latest value per day) plus
        the first values added normally to the
        grid_contract (these records we get from
        the UpdateHistory first added record for
        each contract from the field 'old_value')
        - in case of no UpdateHistory records found
        for a salespartner, it gets the data from
        the GridContract directly
      operationId: consumption_forecast_retrieve
      responses:
        '200':
          description: No response body

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.